COLORMASK(3CgFX)

NAME
ColorMask - 3D API color mask

USAGE
ColorMask = bool4(r, g, b, a)

VALID ENUMERANTS
r, g, b, a: true, false

DESCRIPTION
Enable/disable writing to color components in the frame buffer. See the OpenGL glColorMask manual page for details. See the D3DRS_COLORWRITEENABLE1 render state description for DirectX 9.

The standard reset callback sets the ColorMask state to bool4(true, true, true, true).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
DepthMask, StencilMask